﻿	$(document).ready(function(){
	
		// Bang danh sach nganh
		$(document).on("focus", "#sci-id", function(e){
			$(".science-list-box").slideDown(300);
		});
		
		$(document).on("blur", "#sci-id", function(e){
			$(".science-list-box").slideUp(200);
		});
		
		$(document).on("click", ".science-list-box-list", function(e){
			$("#sci-id").val($(this).children().html());
		});
		
		// Edit
		$(document).on("click", ".subject-edit-icon", function(){
			$(this).hide();
			$(this).prev().fadeIn(300);
			$(this).parent().css("background-color", "pink").siblings().css("background-color", "pink").attr("contenteditable", "true");
			$(this).parent().siblings(".subject-id").attr("contenteditable", "false");
			$(this).parent().siblings(".subject-pre-id").focus();
		});
		
		// Update
		$(document).on("click", ".subject-update-icon", function(){
			var a = $.trim($(this).parent().siblings(".subject-id").text());
			var b = $.trim($(this).parent().siblings(".subject-pre-id").text());
			if (b == "") b = "000000";
			var c = $.trim($(this).parent().siblings(".subject-science-id").text());
			var d = $.trim($(this).parent().siblings(".subject-name").text());
			var e = $.trim($(this).parent().siblings(".subject-science-stc").text());
			var elem = $(this);
			$.ajax({
				type: "POST",
				url: "manage-subject.php",
				data: "act=update&id=" + a + "&preid=" + b + "&sciid=" + c + "&name=" + d + "&stc=" + e,
				success: function(res){
					if (res == "true"){
						elem.hide();
						elem.next().fadeIn(300);
						elem.parent().siblings(".subject-pre-id").text(b);
						elem.parent().css("background-color", "").siblings().css("background-color", "").attr("contenteditable", "false");
						elem.parent().hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
						elem.parent().siblings().hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
						
					} else alert("Không thể cập nhật\nMôn tiên quyết, mã ngành hoặc số tín chỉ không hợp lệ");
				}
			});
		});
		
		// Delete	
		$(document).on("click", ".subject-delete-icon", function(){
			var id = $(this).parent().siblings(".subject-id").html();
			var elem = $(this);
			$.ajax({type: "POST", url: "manage-subject.php", data: "act=delete&id=" + id, success: function(res){
				if (res == true){
					$(elem).closest(".subject-line").fadeOut(300, function(){
						$(elem).remove();
						if ($(".subject-line").length == 0){
							$(".subject-list").append('<div class="subject-line-blank">Chưa có dữ liệu</div>');
							//$.ajax({type: "POST", url: "manage-science.php", data: "act=get&page=1"});
							//$(".main-body").load("templates/subject.php");
						}
					});
				} else alert("Không thể xóa. Môn học này có 1 vài ràng buộc");
			
			}});
		});
		
		//Create
		$(document).on("click", ".sub-btn-submit", function(e){
			var a = $.trim($("#sub-id").val());
			var b = $.trim($("#pre-sub-id").val());
			if (b == "") b = "000000";
			var c = $.trim($("#sci-id").val());
			var d = $.trim($("#sub-name").val());
			var e = $.trim($("#sub-stc").val());
			
			if ( (a.length && c.length && d.length && e.length ) > 0 ) {
				$.ajax({
					type: "POST",
					url: "manage-subject.php",
					cache: false,
					data: "act=create&id=" + a + "&preid=" + b + "&sciid=" + c + "&name=" + d + "&stc=" + e, 
					beforeSend:  function() {
						$(".sub-btn-submit").attr("disabled", "disabled");
					},
					success: function(res){
						if (res != "false"){
							if ($(".subject-line-blank").css("display") != "none") $(".subject-line-blank").remove();
							insertRow(a, b, c, d, e);
							$(".txt-depart").val("");
							$("#sub-stc").val("");
							//alert("Thêm thành công");
						} else {
							alert("Môn học này đã tồn tại hoặc môn tiên quyết không tồn tại hoặc số tín chỉ không hợp lệ");
						}
						$(".sub-btn-submit").removeAttr("disabled");
					}
				});
			} else {
				alert("Vui lòng kiểm tra lại thông tin");
			}
		});
		
		function insertRow(a, b, c, d, e){
			var html = '<div class="subject-line">';
			html += '<div spellcheck="false" class="subject-id">' + a + '</div>';
			html += '<div spellcheck="false" class="subject-pre-id">' + b + '</div>';
			html += '<div spellcheck="false" class="subject-science-id">' + c + '</div>';
			html += '<div spellcheck="false" class="subject-name">' + d + '</div>';
			html += '<div spellcheck="false" class="subject-science-stc">' + e + '</div>';
			html += '<div class="subject-function">';
			html += '<img class="subject-update-icon" title="Cập nhật" src="images/icon-update.gif"/>';
			html += '<img class="subject-edit-icon" title="Chỉnh sửa" src="images/icon-edit.gif"/>';
			html += '<img class="subject-delete-icon" title="Xóa" src="images/icon-delete.gif"/>';
			html += '</div></div>';
			$(".subject-list").append(html);
			$(".subject-id:last, .subject-pre-id:last, .subject-science-id:last, .subject-name:last, .subject-science-stc:last, .subject-function:last").hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
		}
		
		// Chuyen trang
		$(document).on("click", ".sub-pageElem", function(e){
			$(".sub-pageNow").attr("class", "sub-pageElem");
			$(this).attr("class", "sub-pageNow");
			$.ajax({type: "POST", url: "manage-subject.php", data: "act=get&page=" + $(this).attr("page")});
			$(".subject-list").load("templates/subject-list.php");
		});
		
		// Disable go phim
		$(document).on("keypress", "#sci-id", function(e){
			return false;
		});	
	});