﻿	$(document).ready(function(){
	
		// Bang danh sach nganh
		$(document).on("focus", "#student-class-id", function(e){
			$(".student-science-list-box").slideDown(300);
		});
		
		$(document).on("blur", "#student-class-id", function(e){
			$(".student-science-list-box").slideUp(200);
		});
		
		$(document).on("click", ".student-science-list-box-list", function(e){
			$("#student-class-id").val($(this).children().html());
		});
		
		// Edit
		$(document).on("click", ".student-edit-icon", function(){
			$(this).hide();
			$(this).prev().fadeIn(300);
			$(this).parent().css("background-color", "pink").siblings().css("background-color", "pink").attr("contenteditable", "true");
			$(this).parent().siblings(".student-id").attr("contenteditable", "false").next().focus();
		});
		
		// Update
		$(document).on("click", ".student-update-icon", function(){
			var a = $.trim($(this).parent().siblings(".student-id").text());
			var b = $.trim($(this).parent().siblings(".student-class-id").text());
			var c = $.trim($(this).parent().siblings(".student-name").text());
			var d = $.trim($(this).parent().siblings(".student-phone").text());
			var e = $.trim($(this).parent().siblings(".student-email").text());
			var elem = $(this);
				$.ajax({
					type: "POST",
					url: "manage-student.php",
					data: "act=update&id=" + a + "&class=" + b + "&name=" + c + "&mobile=" + d + "&email=" + e,
					success: function(res){
						if (res == "true"){
							elem.hide();
							elem.next().fadeIn(300);
							elem.parent().css("background-color", "").siblings().css("background-color", "").attr("contenteditable", "false");
							elem.parent().hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
							elem.parent().siblings().hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
						}
						else alert("Mã lớp không tồn tại hoặc thông tin không hợp lệ");
					}
				});
		});
		
		// Delete	
		$(document).on("click", ".student-delete-icon", function(){
			var id = $(this).parent().siblings(".student-id").text();
			$.ajax({type: "POST", url: "manage-student.php", data: "act=delete&id=" + id});
			$(this).closest(".student-line").fadeOut(300, function(){
				$(this).remove();
				if ($(".student-line").length == 0){
					$(".student-list").append('<div class="student-line-blank">Chưa có dữ liệu</div>');
					$.ajax({type: "POST", url: "manage-student.php", data: "act=get&page=1"});
					$(".main-body").load("templates/student.php");
				}
			});
		});
		
		//Create
		$(document).on("click", ".btn-student-submit", function(e){
			var a = $.trim($("#student-id").val());
			var b = $.trim($("#student-password").val());
			var c = $.trim($("#student-class-id").val());
			var d = $.trim($("#student-name").val());
			var e = $.trim($("#student-phone").val());
			var f = $.trim($("#student-email").val());
			
			if ( (a.length && b.length && c.length && d.length && e.length && f.length) > 0 ) {
				$.ajax({
					type: "POST",
					url: "manage-student.php",
					data: "act=create&id=" + a + "&class=" + c + "&pass=" + b + "&name=" + d + "&mobile=" + e + "&email=" + f,
					success: function(res){
						if (res == "true"){
							if ($(".student-line-blank").css("display") != "none") $(".science-line-blank").remove();
							insertRow(a, c, d, e, f);
							$(".txt-depart").val("");
							$("#student-email").val("");
						}
						else alert("Mã sinh viên đã tồn tại, hoặc thông tin không hợp lệ");
					}
				});
			} else alert("Vui lòng kiểm tra lại thông tin");
		});
		
		function insertRow(a, b, c, d, e){
			var html = '<div class="student-line">';
			html += '<div spellcheck="false" class="student-id">' + a + '</div>';
			html += '<div spellcheck="false" class="student-class-id">' + b + '</div>';
			html += '<div spellcheck="false" class="student-name">' + c + '</div>';
			html += '<div spellcheck="false" class="student-phone">' + d + '</div>';
			html += '<div spellcheck="false" class="student-email">' + e + '</div>';
			html += '<div class="student-function">';
			html += '<img class="student-update-icon" title="Cập nhật" src="images/icon-update.gif"/>';
			html += '<img class="student-edit-icon" title="Chỉnh sửa" src="images/icon-edit.gif"/>';
			html += '<img class="student-delete-icon" title="Xóa" src="images/icon-delete.gif"/>';
			html += '</div></div>';
			$(".student-list").append(html);
			$(".student-id:last, .student-class-id:last, .student-name:last, .student-phone:last, .student-email:last, .student-function:last").hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
		}
		
		// Chuyen trang
		$(document).on("click", ".student-pageElem", function(e){
			$(".student-pageNow").attr("class", "student-pageElem");
			$(this).attr("class", "student-pageNow");
			$.ajax({type: "POST", url: "manage-student.php", data: "act=get&page=" + $(this).attr("page")});
			$(".student-list").load("templates/student-list.php");
		});
		
		// Disable go phim
		$(document).on("keypress", "#student-class-id", function(e){
			return false;
		});	
	});